/**
 * @desc 文件上传
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export const init = new defs.ResultString()

export function request(body?: object, config?: http.RequestConfig<object>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/common/file/upload',
            method: 'POST',
            data: body,
            headers: { 'Content-Type': 'application/json' },

            ...config,
        },
        options,
    )
}
